Bug 806777 - Review Request: python-restkit - Restkit is an HTTP resource kit for Python
Review Request: python-restkit - Restkit is an HTTP resource kit for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 04:16 EDT by Bohuslav "Slavek" Kabrda
Modified: 2012-04-11 22:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-restkit-4.1.2-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:44:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-03-26 04:16:04 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/restkit/python-restkit.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/restkit/python-restkit-4.1.2-1.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3931986
Description: Restkit is a full HTTP client using pure socket calls and its own
HTTP parser. It's not based on httplib or urllib2.
Comment 1 Matthias Runge 2012-03-26 04:35:57 EDT
Taking this one

(if anybody else is faster than me, just do the review!)
Comment 2 Matthias Runge 2012-03-27 03:22:25 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint python-restkit-4.1.2-1.fc18.src.rpm

python-restkit.src: W: spelling-error %description -l en_US httplib -> HTTP
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-restkit-4.1.2-1.fc18.noarch.rpm

python-restkit.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python-restkit.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/restkit/contrib/webob_api.py 0644L /usr/bin/env
python-restkit.noarch: W: no-manual-page-for-binary restcli
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/806777/restkit-4.1.2.tar.gz :
  MD5SUM this package     : 6a405efbf109d0fca13095237c8aae6e
  MD5SUM upstream package : 6a405efbf109d0fca13095237c8aae6e

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0:
     http://pypi.python.org/packages/source/r/restkit/restkit-4.1.2.tar.gz
     (restkit-4.1.2.tar.gz) Patch0: restkit-disable-tests-needing-internet-
     connection.patch (restkit-disable-tests-needing-internet-
     connection.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST Rpmlint output is silent.

rpmlint python-restkit-4.1.2-1.fc18.src.rpm

python-restkit.src: W: spelling-error %description -l en_US httplib -> HTTP
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint python-restkit-4.1.2-1.fc18.noarch.rpm

python-restkit.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python-restkit.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/restkit/contrib/webob_api.py 0644L /usr/bin/env
python-restkit.noarch: W: no-manual-page-for-binary restcli
1 packages and 0 specfiles checked; 1 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Issues:
- you should strip off the bang-path from /restkit/contrib/webob_api.py 0644L /usr/bin/env (there's a scriptlet using sed somewhere hidden in the wiki, currently I can't find the reference) 
 maybe you'd use something like sed -i 's/^#!usr/bin/env//' filename

I see no other issues and would approve this, once this small error is fixed.
Comment 3 Matthias Runge 2012-03-27 03:22:48 EDT
Ah, why do you think, ipython is required?
Comment 4 Matthias Runge 2012-03-27 03:43:48 EDT
and another issue: Licensing seems to be a mixture of free licenses. 

[mrunge@mrungexp restkit-4.1.2]$ licensecheck -r . | grep -v "UNKNOWN"
./tests/_server_test.py: ISC 
./doc/sitemap_gen.py: BSD (3 clause)
Comment 5 Bohuslav "Slavek" Kabrda 2012-03-27 03:55:57 EDT
Hi Matthias!

- I've been thinking a lot about IPython. It's an optional dependency needed only by the command line tool (restcli) shipped with the library. On second thought, I think it is not completely necessary, so I will remove it.
- The license is already included, just not listed explicitly, but with the whole doc directory: /usr/share/doc/restkit/LICENSE
- As for the other licenses, I will probably go through all the files and add everything in the next spec version.
- The shebang shall be stripped :)
Comment 6 Matthias Runge 2012-03-27 04:04:31 EDT
Hi Bohuslav,

You did not include the tests into RPM. Thus you have just two licenses: MIT and BSD.
Imho it should be enough to mark bsd licensed file in files section.
Comment 7 Bohuslav "Slavek" Kabrda 2012-03-27 04:10:53 EDT
Actually, the BDS licensed file doesn't get into the RPM either, so it's really just MIT :)

So I removed IPython dependency and stripped the shebang, here is the result:
SPEC: http://bkabrda.fedorapeople.org/pkgs/restkit/python-restkit.spec
SRPM: http://bkabrda.fedorapeople.org/pkgs/restkit/python-restkit-4.1.2-2.fc17.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3935693
Comment 8 Matthias Runge 2012-03-27 04:13:56 EDT
Ah yes, you're right.

Package APPROVED.
Comment 9 Bohuslav "Slavek" Kabrda 2012-03-27 04:17:22 EDT
Thanks for your review! (could you please set fedora-review to +?)

New Package SCM Request
=======================
Package Name: python-restkit
Short Description: Restkit is an HTTP resource kit for Python
Owners: bkabrda
Branches: f17
InitialCC:
Comment 10 Bohuslav "Slavek" Kabrda 2012-03-27 04:18:27 EDT
(In reply to comment #8)
> Ah yes, you're right.
> 
> Package APPROVED.

Sorry, I removed the review + by my mistake, could you please set it to + again? Thanks :)
Comment 11 Gwyn Ciesla 2012-03-27 08:23:25 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2012-03-27 10:00:23 EDT
python-restkit-4.1.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-restkit-4.1.2-2.fc17
Comment 13 Fedora Update System 2012-03-28 01:52:55 EDT
Package python-restkit-4.1.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-restkit-4.1.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4746/python-restkit-4.1.2-2.fc17
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-04-11 22:44:22 EDT
python-restkit-4.1.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.